package com.steerinfo.ems.emsgmpcjh.service.impl;

import com.steerinfo.ems.emsgmpcjh.model.EmsGmPcJh;
import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.framework.service.impl.BaseServiceImpl;
import com.steerinfo.ems.emsgmpcjh.mapper.EmsGmPcJhMapper;
import com.steerinfo.ems.emsgmpcjh.service.IEmsGmPcJhService;
import com.steerinfo.framework.service.pagehelper.PageHelper;
import com.steerinfo.framework.service.pagehelper.PageList;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * EmsGmPcJh服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-09-11 03:49
 * 类描述
 * 修订历史：
 * 日期：2021-09-11
 * 作者：generator
 * 参考：
 * 描述：EmsGmPcJh服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "emsGmPcJhService")
public class EmsGmPcJhServiceImpl extends BaseServiceImpl<EmsGmPcJh, String> implements IEmsGmPcJhService {

    @Autowired
    private EmsGmPcJhMapper emsGmPcJhMapper;

    @Override
    protected IBaseMapper<EmsGmPcJh, String> getMapper() {
        return emsGmPcJhMapper;
    }

    @Override
    public String getMaxid(EmsGmPcJh emsGmPcJh) {
        return emsGmPcJhMapper.getMaxid(emsGmPcJh);
    }

    @Override
    public int updateState(EmsGmPcJh emsGmPcJh) {
        return emsGmPcJhMapper.updateState(emsGmPcJh);
    }

    @Override
    public PageList<Map<String, Object>> getGmPcJhDataForPage(HashMap<String, Object> parmas, Integer pageNum, Integer pageSize) {
        PageHelper.startPage(pageNum, pageSize);
        List<Map<String, Object>> gmPcJhData = emsGmPcJhMapper.getGmPcJhData(parmas);
        PageList<Map<String,Object>> plist = new PageList<Map<String,Object>>(gmPcJhData);
        return plist;
    }

}
